idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.Chaser

Description

Synopsis

- buildTree :: [FilePath] -> [(FilePath, [ImportInfo])] -> FilePath -> Idris [ModuleTree]
- getImports :: [(FilePath, [ImportInfo])] -> [FilePath] -> Idris [(FilePath, [ImportInfo])]
- getModuleFiles :: [ModuleTree] -> [IFileType]
- data ModuleTree = MTree {
  - mod_path :: IFileType
  - mod_needsRecheck :: Bool
  - mod_time :: UTCTime
  - mod_deps :: [ModuleTree]
  }

# Documentation

buildTree #

Arguments

:: [FilePath] | already guaranteed built
-> [(FilePath, [ImportInfo])] | import lists (don't reparse)
-> FilePath |
-> Idris [ModuleTree] |

getImports :: [(FilePath, [ImportInfo])] -> [FilePath] -> Idris [(FilePath, [ImportInfo])] #

getModuleFiles :: [ModuleTree] -> [IFileType] #

Given a module tree, return the list of files to be loaded. If any module has a descendent which needs reloading, return its source, otherwise return the IBC

data ModuleTree #

Constructors

MTree |

Fields

- mod_path :: IFileType
- mod_needsRecheck :: Bool
- mod_time :: UTCTime
- mod_deps :: [ModuleTree]

#### Instances

Instances details

Show ModuleTree # |
Instance details Defined in Idris.Chaser Methods showsPrec :: Int -> ModuleTree -> ShowS # show :: ModuleTree -> String # showList :: [ModuleTree] -> ShowS #